Subject: [Fot] VIR reminder

From: Don Marshall <[email-masked]>
Date: Thu, 21 Mar 2013 11:49:27 -0400

There's still plenty of time to get make your plans for the upcoming
weekend at VIR (April 12-14) .  Already there are 13 Triumphs registered
and include many of the biggest names in Triumph vintage racing, such as
Tony, Henry, Bob, Mark, Charles, Jesse, David, Tim, Rob, Leo and others.

If you're coming, please make sure to join us at the Triumph Ghetto on
Friday evening for our cookout.  All Triumph drivers, crews and hangers-on
are most welcome.

For event information and to register go to the VDCA website at
www.vintagedrive.com.  This is always a tremendous event with huge amounts
of track time at one of the world's best racing venues.
_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://www.team.net/archive